Страница 1 из 1

ошибка 'PHP_FE_END'

Добавлено: 2012-02-08 11:48:13
scrofa
Вопрос ранее освещался на этом форуме другим пользователем по этой http://forum.lissyara.su/viewtopic.php? ... 65#p307881ссылке.
Пытаюсь установить phpPGadmin. У меня аналогичная проблема, но с другим модулем - pgsqlc.c

Код: Выделить всё

make install
===>  Installing for phppgadmin-5.0.3
===>   phppgadmin-5.0.3 depends on file: /usr/local/include/php/main/php.h - found
===>   phppgadmin-5.0.3 depends on file: /usr/local/lib/php/20090626/pgsql.so - not found
===>    Verifying install for /usr/local/lib/php/20090626/pgsql.so in /usr/ports/databases/php5-pgsql
===>  Building for php5-pgsql-5.3.8
/bin/sh /usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql/libtool --mode=compile cc  -I. -I/usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql -DPHP_ATOM_INC -I/usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql/include -I/usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql/main -I/usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/lib -I/usr/local/include  -I/usr/local/include -DHAVE_CONFIG_H  -O2 -pipe -fno-strict-aliasing   -c /usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql/pgsql.c -o pgsql.lo
 cc -I. -I/usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql -DPHP_ATOM_INC -I/usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql/include -I/usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql/main -I/usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/lib -I/usr/local/include -I/usr/local/include -DHAVE_CONFIG_H -O2 -pipe -fno-strict-aliasing -c /usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql/pgsql.c  -fPIC -DPIC -o .libs/pgsql.o
/usr/ports/databases/php5-pgsql/work/php-5.3.8/ext/pgsql/pgsql.c:703: error: 'PHP_FE_END' undeclared here (not in a function)
*** Error code 1
1 error
*** Error code 1

Stop in /usr/ports/databases/php5-pgsql.
*** Error code 1

Stop in /usr/ports/databases/phppgadmin.
Я пробовал установить его руками из его порта - не вышло, такая же ошибка.
php info сообщает что поддержка pgsql уже имеется,

Код: Выделить всё

PDO support	enabled
PDO drivers	pgsql, sqlite

pdo_pgsql
PDO Driver for PostgreSQL	enabled
PostgreSQL(libpq) Version	9.0.3
Module version	1.0.2
Revision	 $Id: pdo_pgsql.c 300351 2010-06-10 12:11:19Z iliaa $
просто хочу понять, как было рекомендовано переустановить php5-extencion?
Просто пару сервисов висят как на apache, так и на postgreSQL не повлечет ли к сбою?

Альтернативные решения?

Re: ошибка 'PHP_FE_END'

Добавлено: 2012-02-08 16:12:52
Electronik
порты обновите, там уже php5.3.9

Re: ошибка 'PHP_FE_END'

Добавлено: 2012-02-08 17:45:27
Electronik
сейчас обновил порты, там уже 5.3.10